﻿var categories = {
"mastercategories":[
{
    "index": 0,
"description": "OBVAM REST APIs use HTTP verbs and a RESTful endpoint structure. Request and response payloads are formatted as JSON.\n\nOBVAM REST API can be accessed using the following URL format\n\nhttp://host-name:port/{servicename}/{resource}/{resource-specific-parameters}\n-	Host name is the domain.\n-	The resource represents one of the OBVAM REST resources. \n-	The resource-specific part of the URL specifies the actual resource being referenced.\n\n",
    "name": "Overview"
},
{
    "index": 1,
	"description": "",
    "name": "Account Services"
},
{
    "index": 2,
    "description": "",
    "name": "Core Services"
},
{
    "index": 3,
    "description": "",
    "name": "ECA Services"
},
{
    "index": 4,
    "description": "",
    "name": "Entity Services"
},
{
    "index": 5,
    "description": "",
    "name": "External Interest Engine Services"
},
{
    "index": 6,
    "description": "",
    "name": "Identifier Services"
},
{
    "index": 7,
    "description": "",
    "name": "Internal Transfer Services"
},
{
    "index": 8,
    "description": "",
    "name": "Statement Services"
},
{
    "index": 9,
    "description": "",
    "name": "Transaction Journal Services"
}
]
};
var subCategories = {
"list":[
{
    "index": 1,
    "yaml": "AccMapService.yaml",
    "description": "Virtual Account Structure can be created using this service. Through this service, Virtual accounts can be mapped to a real account and the structure can be linked to various virtual accounts as per the customer requirement",
    "parentcategory": "Account Services",
    "displayName": "Account Structure"
},
{
    "index": 2,
    "yaml": "AccountClosureService.yaml",
    "description": "This service is used to create Virtual Account Closure for Virtual Entity.",
    "parentcategory": "Account Services",
    "displayName": "Account Closure"
},
{
    "index": 3,
    "yaml": "AccountProductService.yaml",
    "description": "This service can create Corporate Specific Virtual Account products. These products are further used to create virtual accounts. Product level preferences must be enabled before enabling the preference for account.",
    "parentcategory": "Account Services",
    "displayName": "Account Product"
},
{
    "index": 4,
    "yaml": "AccountRangeService.yaml",
    "description": "These are the services that will maintain Account Number Range for a specific Corporate in a Branch.",
    "parentcategory": "Account Services",
    "displayName": "Account Range"
},
{
    "index": 5,
    "yaml": "AccountService.yaml",
    "description": "This service is used to create Virtual Account for Virtual Entity. Virtual Account details such as IBAN and Debit/Credit restrictions, Interest, Overdraft, Real Account Linkage preferences are captured.",
    "parentcategory": "Account Services",
    "displayName": "Account Input"
},
{
    "index": 6,
    "yaml": "balanceServicesApi.yaml",
    "description": "API for Virtual Account Balance Operations",
    "parentcategory": "Account Services",
    "displayName": "Virtual Account Balance"
},
{
    "index": 7,
    "yaml": "BranchParametersService.yaml",
    "description": "This services is used to maintain the parameters that are controlled at branch. OBVAM maintains account and IBAN parameters for a branch. It has various parameters to validate the generated account number such as account mask, start and end account number for auto generation, and to validate IBAN format mask for BBAN format mask and data type.",
    "parentcategory": "Account Services",
    "displayName": "Branch Parameters for Virtual Account"
},
{
    "index": 8,
    "yaml": "CreditLimitVaLinkageService.yaml",
    "description": "This service is used to link Internal credit limit to a virtual account. Limit amount can either be mentioned in amount or percentage. During balance calculation, this maintenance will also be included to arrive at effective available balance.",
    "parentcategory": "Account Services",
    "displayName": "Credit Limit Virtual Account Linkage Service"
},
{
    "index": 9,
    "yaml": "InternalCreditLimitService.yaml",
    "description": "Internal Credit Limit is a facility provided at Real customer level. Through this service, a customer can offer credit line facility to its subsidiaries. A Credit line facility can be linked to multiple virtual accounts that belong to same real customer number.",
    "parentcategory": "Account Services",
    "displayName": "Internal Credit Limit Service"
},
{
    "index": 10,
    "yaml": "LineLimitUtilizationService.yaml",
    "description": "This Service API is used to track internal credit limit utilization and de-utilization for a virtual account at both contract/transaction and account level. Also this provides the maximum available line amount for a given Line ID.",
    "parentcategory": "Account Services",
    "displayName": "Line Limit Utilization Service"
},
{
    "index": 11,
    "yaml": "SweepAndValueDatedBalService.yaml",
    "description": "This is a service for fetching value dated Balance details and sweep eligilbe balance for a given virtual account and its value date.",
    "parentcategory": "Account Services",
    "displayName": "Sweep Eligible and Value Dated Balance"
},
{
    "index": 12,
    "yaml": "VAClosureStatusService.yaml",
    "description": "This is the API used to track the status of Virtual Account Closure Request.",
    "parentcategory": "Account Services",
    "displayName": "Virtual Account Closure Status"
},
{
    "index": 13,
    "yaml": "ValueDatedBalanceService.yaml",
    "description": "API for VD Balance Operations.",
    "parentcategory": "Account Services",
    "displayName": "Value Dated Balance"
},
{
    "index": 14,
    "yaml": "VASanctionStatusService.yaml",
    "description": "This Service API is used to handle sanction status for a virtual account.",
    "parentcategory": "Account Services",
    "displayName": "Virtual Account Sanction Status"
},
{
    "index": 15,
    "yaml": "AccFcltyService.yaml",
    "description": "This is the Service for Account Facility Creation and maintenance. This function is used to define the real customer and its real accounts for which virtual accounts can be created. It has a Real Customer LOV field which has one to many Relation with Real Accounts of that customer.",
	"parentcategory": "Core Services",
    "displayName": "Account Facility"
},
{
    "index": 16,
    "yaml": "CcyAccGroupService.yaml",
    "description": "This service is used to maintain multi-currency account group. It permits linking a real customer with its account and currency with a unique combination of account currency pair. In an account group, currency cannt be repeated",
    "parentcategory": "Core Services",
    "displayName": "OBVAM Multi Currency Account Groups"
},
{
    "index": 17,
    "yaml": "ECABlockService.yaml",
    "description": "ecablock Service allows to block amount on virtual accounts",
    "parentcategory": "ECA Services",
    "displayName": "Amount Block"
},
{
    "index": 18,
    "yaml": "RateQueueService.yaml",
    "description": "Amount blocks Service allows to block amount on virtual accounts and it allows to input user rate from an exchange queue",
    "parentcategory": "ECA Services",
    "displayName": "Exchange Rate Queue"
},
{
    "index": 19,
    "yaml": "BankParametersService.yaml",
    "description": "This services is used to maintain entity mask and bank code for bank in OBVAM, any UI application can be invoked to validate and persist the data.",
    "parentcategory": "Entity Services",
    "displayName": "Bank Parameters for Virtual Entity"
},
{
    "index": 20,
    "yaml": "EntityService.yaml",
    "description": "This service is used to maintain virtual entity and is responsible for validating provided data and maintaining valid virtual entity account to the mask maintained for a bank parameter.",
    "parentcategory": "Entity Services",
    "displayName": "Virtual Entity"
},
{
    "index": 21,
    "yaml": "IdentificationTypesService.yaml",
    "description": "This is a Service API which returns List of identification Types that are maintained as static data in table",
    "parentcategory": "Entity Services",
    "displayName": "Identification Types"
},
{
    "index": 22,
    "yaml": "InterestLiquidationService.yaml",
    "description": "Interest accrued for a virtual account can be liquidated using this service.",
    "parentcategory": "External Interest Engine Services",
    "displayName": "Interest Liquidation"
},
{
    "index": 23,
    "yaml": "RemitterIdService.yaml",
    "description": "This service is used to create remitter list ID. Remitter list ID is mapped to an identifier rule.",
    "parentcategory": "Identifier Services",
    "displayName": "Remitter ID"
},
{
    "index": 24,
    "yaml": "InternalTransfersService.yaml",
    "description": "This services is used for internal transfer that enables balance transfer between two virtual account that belong to a real account.",
    "parentcategory": "Internal Transfer Services",
    "displayName": "Internal Transfer"
},
{
    "index": 25,
    "yaml": "AccountStatementService.yaml",
    "description": "This service is used to generate individual and consolidated account statement.",
    "parentcategory": "Statement Services",
    "displayName": "Account Statement"
},
{
    "index": 26,
    "yaml": "EntriesService.yaml",
    "description": "This is a service used by the transaction services for inserting data required for statement generation.",
    "parentcategory": "Statement Services",
    "displayName": "Transaction Entries"
},
{
    "index": 27,
    "yaml": "transactionService.yaml",
    "description": "This is the API for Transaction Operations in OBVAM",
    "parentcategory": "Transaction Journal Services",
    "displayName": "Journal Online"
},
{
    "index": 28,
    "yaml": "TxnExchQueueService.yaml",
    "description": "This is a API for hosting Transaction exchange rate queue.",
    "parentcategory": "Transaction Journal Services",
    "displayName": "Transaction Exchange Queue"
}
]}